define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var biz = require("$UI/system/lib/biz");
	
	var Model = function(){
		this.callParent();
	};

	Model.prototype.backBtnClick = function(event){
		this.comp('cardSearchReceiver').windowEnsure();
	};

	//[查询]
	Model.prototype.searchBtnClick = function(event){
		var me = this;
		var searchData = this.comp('searchData');
		var cardDetailData = this.comp('cardDetailData');
		var params = new biz.Request.ActionParam();
		
		if((searchData.val('idCode') === null || searchData.val('idCode').trim() === '') && 
			(searchData.val('cardCode') === null || searchData.val('cardCode').trim() === '') && 
			(searchData.val('name') === null || searchData.val('name').trim() === ''))
		{
			this.comp('okMsg').show({message:'至少输入一个查询条件！'});
			return;	
		}

		params.setString("idCode", searchData.val('idCode').trim());
		params.setString("cardCode", searchData.val('cardCode').trim());
		params.setString("name", searchData.val('name').trim());
		biz.Request.sendBizRequest({
			"context" : this.getContext(),
			"action" : "queryCardDetail",
			"parameters" : params,
			"callback" : function(resultData) {
				resultData.ignoreError = false;
				if (resultData.state) {
					//alert(JSON.stringify( resultData.response));
					cardDetailData.loadData(resultData.response);
					if(cardDetailData.getCount()===0){
						me.comp('okMsg').show({message:'没有符合条件的数据！'});
					}else{
						me.comp('contents2').to('cardDetail');
					}
				} else {
					throw new Error('查询充值卡信息失败！');
				}
			}
		});
	};

	return Model;
});